Blender Documentation Volume II - Reference Guide: Last modified March 29 2004 S68
<<< Previous | Python API Reference | Next >>>

# The Bone object

This object gives access to Bone-specific data in Blender.

Method Summary |
list of Blender Bones | `getChildren()` Get this Bone's children Bones, if available.
list of three floats | `getHead()` Get the "head" ending position.
list of three floats | `getLoc()` Get the location of this Bone.
string | `getName()` Get the name of this Bone.
Blender Bone | `getParent()` Get this Bone's parent Bone, if available.
list of four floats. | `getQuat()` Get this Bone's quaternion.
float | `getRoll()` Get the roll value.
list of three floats | `getSize()` Get the size attribute.
list of three floats | `getTail()` Get the "tail" ending position.
true or false | `hasParent()` True if this Bone has a parent Bone.
| `setHead(x, y, z)` Set the "head" ending position.
| `setLoc(x, y, z)` Set the new location for this Bone.
| `setName(name)` Rename this Bone.
| `setQuat(real, imag_i, imag_j, imag_k)` Set the new quaternion orientation for this Bone.
| `setRoll(roll)` Set the roll value.
| `setSize(x, y, z)` Set the new size for this Bone.
| `setTail(x, y, z)` Set the "tail" ending position.

Class Variable Summary |
| `children` - The children bones.
| `head` - This Bone's "head" ending position when in rest state.
| `loc` - This Bone's location.
| `name` - The name of this Bone.
| `parent` - The parent Bone.
| `quat` - This Bone's quaternion.
| `roll` - This Bone's roll value.
| `size` - This Bone's size.
| `tail` - This Bone's "tail" ending position when in rest state.

Method Details |

getChildren() Get this Bone's children Bones, if available. Returns: list of Blender Bones

getHead() Get the "head" ending position. Returns: list of three floats

getLoc() Get the location of this Bone. Returns: list of three floats

getName() Get the name of this Bone. Returns: string

getParent() Get this Bone's parent Bone, if available. Returns: Blender Bone

getQuat() Get this Bone's quaternion. Returns: list of four floats.

getRoll() Get the roll value. Returns: float

getSize() Get the size attribute. Returns: list of three floats

getTail() Get the "tail" ending position. Returns: list of three floats

hasParent() True if this Bone has a parent Bone. Returns: true or false

setHead(x, y, z) Set the "head" ending position. Parameters: `x` - The new x value. (type=float) `y` - The new y value. (type=float) `z` - The new z value. (type=float)

setLoc(x, y, z) Set the new location for this Bone. Parameters: `x` - The new x value. (type=float) `y` - The new y value. (type=float) `z` - The new z value. (type=float)

setName(name) Rename this Bone. Parameters: `name` - The new name. (type=string)

setQuat(real, imag_i, imag_j, imag_k) Set the new quaternion orientation for this Bone. Parameters: `real` - The new quat[0] value. (type=float) `imag_i` - The new quat[1] value. (type=float) `imag_j` - The new quat[2] value. (type=float) `imag_k` - The new quat[3] value. (type=float)

setRoll(roll) Set the roll value. Parameters: `roll` - The new value. (type=float)

setSize(x, y, z) Set the new size for this Bone. Parameters: `x` - The new x value. (type=float) `y` - The new y value. (type=float) `z` - The new z value. (type=float)

setTail(x, y, z) Set the "tail" ending position. Parameters: `x` - The new x value. (type=float) `y` - The new y value. (type=float) `z` - The new z value. (type=float)

Class Variable Details |

children The children bones.

head This Bone's "head" ending position when in rest state.

loc This Bone's location.

name The name of this Bone.

parent The parent Bone.

quat This Bone's quaternion.

roll This Bone's roll value.

size This Bone's size.

tail This Bone's "tail" ending position when in rest state.

<<< Previous | Home | Next >>>
Class Bone | Up | Module Camera